%sol ej 1 test 2, ayudante diego palma

%busco los puntos en que ambas funciones tienen la misma derivada, sabiendo
%ya las derivadas de cada funcion

% la
clear all
close all 
clc

syms x;
f = x^2;
g = atan(x);
df = diff(f);
dg = diff(g);
c = df-dg;

%tengo que c es el polinomio al que le busco los 0, no se como dejarlo en
%modo 2x^3+2x-1, pero esta la idea.
d = [2 0 2 -1]
s = roots(d)

% a partir de las soluciones s, solo tomo el punto entre 0 y pi, luego lo
% evaluo en ambas funciones
% lo hize apurado, perdoname.

p1 = ()^2;
p2 = atan();



plot(f)
plot(g)

